# event-contracts-staking

### StakingEthEvent

#### **`afterSignatureCheck`**

Mengembalikan info acara DAO dalam format slice.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameter:**

| Nama | Jenis    | Deskripsi                          |
| ---- | -------- | ---------------------------------- |
| body | TvmSlice | Mengandung data seperti functionId |
|      | TvmCell  |                                    |

**Nilai hasil:**

| Jenis    | Deskripsi                                      |
| -------- | ---------------------------------------------- |
| TvmSlice | Acara DAO direpresentasikan dalam format slice |

#### **`onConfirm`**

Mengonfirmasi acara.

```
function onConfirm() override internal
```

#### **`onReject`**

Mentransfer bensin ke penginisialisasi setelah penolakan.

```
function onReject() override internal
```

### StakingTonEvent

#### **`afterSignatureCheck`**

Mengembalikan info acara DAO dalam format slice.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameter:**

| Nama | Jenis    | Deskripsi                          |
| ---- | -------- | ---------------------------------- |
| body | TvmSlice | Mengandung data seperti functionId |
|      | TvmCell  |                                    |

**Nilai hasil:**

| Jenis    | Deskripsi                                      |
| -------- | ---------------------------------------------- |
| TvmSlice | Acara DAO direpresentasikan dalam format slice |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-staking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
